Subject: Re: [bug#53324] [PATCH] gnu: Add uftrace.

From: Maxime Devos <[email-masked]>
Date: Mon, 17 Jan 2022 22:37:29 +0100

Hi,

Olivier Dion schreef op ma 17-01-2022 om 16:02 [-0500]:
> On Mon, 17 Jan 2022, Maxime Devos <[email-masked]> wrote:
> > Olivier Dion via Guix-patches via schreef op ma 17-01-2022 om 14:20 [-
> > 0500]:
> > > +                       (invoke "./configure" [...]
> > 
> > Looking at the configure script, for cross-compilation, you need to set
> > --arch and --cross-compile.
> >                                
> > 
> > > +                       (let ([python (which "python3")])
> 
> Thanks for the quick review!  I'm in the process of adding cross
> compilation (currently building for aarch64).
> 
> In the mean time, would you have an idea on how to fix __FILE__ for the
> build?  uftrace uses it for logging and it ends up expanding to
> `/tmp/guix-build*/source/*`.  I tried to change the `srcdir` in the
> various Makefile without much success.
> 

Maybe uftrace supports out-of-tree builds?  Also, does uftrace try to
read /tmp/guix-build*, or does only the file name appear in backtraces?
If the latter, it is presumably not much of a problem.  If it is,
maybe out-of-tree builds could help.  Automake supports out-of-tree
builds, but I don't know if uftrace's build system does.

The review was only a partial review, I didn't actually build uftrace.

Greetings,
Maxime.